classification
Title: Support Mageia and Arch Linux in the platform module
Type: Stage: resolved
Components: Library (Lib) Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: akien, iritkatriel, xtreak
Priority: normal Keywords:

Created on 2015-04-26 19:43 by akien, last changed 2020-11-30 13:27 by iritkatriel. This issue is now closed.

Messages (3)
msg242073 - (view) Author: RĂ©mi Verschelde (akien) Date: 2015-04-26 19:43
Support for Mageia and Arch Linux was added in the platform module for Python 3.x [1, 2], but the fix was not backported to the 2.7.x branch.

It would be nice to see these fixes cherry-picked for the incoming 2.7.10 release.

[1] https://hg.python.org/cpython/rev/97a098aa4205
[2] https://hg.python.org/cpython/rev/85d827cbabfa
msg326095 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2018-09-22 16:02
Just to add some more context the function platform.linux_distribution() was removed in Python 3 with 8b94b41ab7b12f745dea744e8940631318816935. Refer https://bugs.python.org/issue28167 for more discussion. https://pypi.org/project/distro/ is the recommended package for this. I am not sure if this can be added to Python 2 though.

Thanks
msg382146 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2020-11-30 13:27
Python 2.7 is no longer being updated.
History
Date User Action Args
2020-11-30 13:27:58iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg382146

resolution: out of date
stage: resolved
2018-09-22 16:02:42xtreaksetnosy: + xtreak
messages: + msg326095
2015-04-26 19:43:46akiencreate